<template>
    <button
        ref="button"
        :type="type"
        :class="getStyles"
        @click="$emit('click', $event)"
        :disabled="disabled"
    >
        <span class="mdc-button__ripple"></span>
        <span class="mdc-button__label"><slot></slot></span>
    </button>
</template>
<script>
import { MDCRipple } from '@material/ripple';

export default {
    props: {
        type: {
            type: String,
            required: false,
            default: 'button',
        },
        styles: {
            type: Array,
            required: false,
            default: function() {
                return ['mdc-button--raised'];
            },
        },
        disabled: {
            type: Boolean,
            required: false,
            default: false,
        },
    },
    mounted() {
        MDCRipple.attachTo(this.$refs.button);
    },
    computed: {
        getStyles() {
            return ['mdc-button'].concat(this.styles);
        },
    },
};
</script>
